Subject: Re: bug#15991: 24.3.50; Wishlist: Make test suite user-friendlier

From: Glenn Morris <[email-masked]>
Date: Fri, 27 Jun 2014 11:57:36 -0400

Michael Albinus wrote:

> I believe it is desirable to run the tests unconditionally when invoked
> via make. People call "make check" for a reason.

I suppose you are right, and this is consistent with how it used to behave.

> Maybe you could even offer the test package name as target. Then one
> could call "make -C test/automated tramp-tests",

You can already do

   make -C test/automated tramp-tests.log

I don't think removing the ".log" is worth it.

> There is another issue. By redirecting the output to a file, the
> password prompt for tramp-tests isn't visible anymore. This is a real
> regression, because these tests are intended to run for different remote
> file names. Could you pipe the test output through tee or something like
> this? I don't know how portable this would be, 'tho.

Not sure I understand. Do you want to interact, ie type a password?
I think tests that require interaction are a Bad Thing.
Are these optional tests that do not normally run?